<HTML>
<HEAD>
<TITLE>Nonlinear solvers - SNES</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">

<H2> Nonlinear solvers - SNES: <A HREF="../../src/snes/examples/tutorials/index.html">Examples</A></H2>

The Scalable Nonlinear Equations Solvers (SNES) component provides an
easy-to-use interface to Newton-based methods for solving systems of
nonlinear equations.  SNES users can set various algorithmic options
at runtime via the options database (e.g., specifying a trust region
method via
<font face ="Courier">
-snes_type tr
</font face>
).  

SNES internally employs <A HREF="../../docs/manualpages/KSP/index.html">KSP</A> for the solution of 
its linear systems.
SNES users can also set KSP options directly in application
codes by first extracting the KSP context from the SNES context via
<A HREF="../../docs/manualpages/SNES/SNESGetKSP.html">SNESGetKSP()</A>
and then directly calling various KSP (and KSP and PC) routines (e.g., 
<A HREF="../../docs/manualpages/PC/PCSetType.html">PCSetType()</A>
).

<P>


<p>
<a href="interface/">interface/</a><br>
<a href="mf/">mf/</a><br>
<a href="impls/">impls/</a><br>
<a href="examples/">examples/</a><br>
<a href="utils/">utils/</a><br>
 
<a href="snesimpl.h.html">snesimpl.h</a><br>
<a href="../../include/petscsnes.h.html">../../include/petscsnes.h</a><br>
 
<a href="makefile.html">makefile</a><br>
